package s5;


import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.FilteredImageSource;
import java.awt.image.ImageFilter;
import java.awt.image.RGBImageFilter;

import javax.swing.ImageIcon;
import javax.swing.JFrame;


//tB^
public class ImageSample3 extends JFrame {

	private Image image;

	
	
	public ImageSample3(){
		
		Image sourceImage = getImage("image/img1.gif");
		
		ImageFilter filter = new RGBImageFilter(){
			public int filterRGB(int x, int y, int rgb) {
				return rgb & 0xffff0000;
			}
		};
		FilteredImageSource is = new FilteredImageSource(sourceImage.getSource(), filter);
		image 
			= createImage(is);

	}
	
	public void paint(Graphics g) {

		g.drawImage(image, 50, 50, this);
	}
	
	
	
	public Image getImage(String path){
		return new ImageIcon(path).getImage();
	}
	
	public static void main(String[] args) {

		JFrame frame = new ImageSample3();
		
		//frame.setFont(new Font("Dialog", Font.PLAIN, 36));

		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setSize(640, 480);
		frame.setVisible(true);
	}
}
